org.jfree.report.flow.paginating

## Class PaginatingReportProcessor

- java.lang.Object
- - org.jfree.report.flow.AbstractReportProcessor
  - - org.jfree.report.flow.paginating.PaginatingReportProcessor

- All Implemented Interfaces:
    ReportProcessor
  Direct Known Subclasses:
    PrintReportProcessor

      public abstract class PaginatingReportProcessor
      extends AbstractReportProcessor

  Paginating report processors are multi-pass processors.

  This is written to use LibLayout. It will never work with other report targets. Be aware that this class is not synchronized.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PaginatingReportProcessor(org.jfree.layouting.output.pageable.PageableOutputProcessor outputProcessor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected LibLayoutReportTarget` | `createTarget(ReportJob job)`
    `protected PageState` | `getLogicalPageState(int page)`
    `org.jfree.layouting.output.pageable.PageableOutputProcessor` | `getOutputProcessor()`
    `protected PageState` | `getPhysicalPageState(int page)`
    `boolean` | `isPaginated()`
    `protected void` | `prepareReportProcessing(ReportJob job)`
    `PageState` | `processPage(PageState previousState)`
    `protected PageStateList` | `processPaginationRun(ReportJob job, LibLayoutReportTarget target)`

    - ### Methods inherited from class org.jfree.report.flow.AbstractReportProcessor

      `createFlowControler, createReportContext, processReportRun`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.report.flow.ReportProcessor

      `processReport`

- - ### Constructor Detail

    - #### PaginatingReportProcessor

          protected PaginatingReportProcessor(org.jfree.layouting.output.pageable.PageableOutputProcessor outputProcessor)

  - ### Method Detail

    - #### getOutputProcessor

          public org.jfree.layouting.output.pageable.PageableOutputProcessor getOutputProcessor()

    - #### createTarget

          protected LibLayoutReportTarget createTarget(ReportJob job)

    - #### prepareReportProcessing

          protected void prepareReportProcessing(ReportJob job)
                                          throws ReportDataFactoryException,
                                                 DataSourceException,
                                                 ReportProcessingException

      Throws:
        `ReportDataFactoryException`
        `DataSourceException`
        `ReportProcessingException`

    - #### processPaginationRun

          protected PageStateList processPaginationRun(ReportJob job,
                                                       LibLayoutReportTarget target)
                                                throws ReportDataFactoryException,
                                                       DataSourceException,
                                                       ReportProcessingException

      Throws:
        `ReportDataFactoryException`
        `DataSourceException`
        `ReportProcessingException`

    - #### isPaginated

          public boolean isPaginated()

    - #### getLogicalPageState

          protected PageState getLogicalPageState(int page)

    - #### getPhysicalPageState

          protected PageState getPhysicalPageState(int page)

    - #### processPage

          public PageState processPage(PageState previousState)
                                throws org.jfree.layouting.StateException,
                                       ReportProcessingException,
                                       ReportDataFactoryException,
                                       DataSourceException

      Throws:
        `org.jfree.layouting.StateException`
        `ReportProcessingException`
        `ReportDataFactoryException`
        `DataSourceException`